import * as _nuxt_schema from '@nuxt/schema';

interface Pixel {
    id: string;
    autoconfig?: boolean;
    pageView?: string;
}
interface ModuleOptions {
    pixels: Pixel[];
}

declare module 'nuxt/schema' {
    interface PublicRuntimeConfig {
        metaPixel: ModuleOptions;
    }
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
